<?php
include "vars.php";
SendHeaders();
$islogged = "";
$islogged = $HTTP_COOKIE_VARS["eDenter_bo_logged"];
$cookiefirma = $HTTP_COOKIE_VARS["eDenter_bo_sign"];

$host1 = strtolower("://".$HTTP_SERVER_VARS["HTTP_HOST"]);
$host2 = strtolower("://".$HTTP_SERVER_VARS["SERVER_NAME"]);
$ref = 	strtolower($HTTP_SERVER_VARS["HTTP_REFERER"]);

//$validato = 0;
$validato = 1;

if ($ref) {
	if ($host1 != "" && is_integer(strpos($ref,$host1))) {
		$validato = 1;
	} elseif ($host2 != "" && is_integer(strpos($ref,$host2))) {
		$validato = 1;
	}
} else {
	$validato = 1;
}

if ($islogged != $HTTP_SERVER_VARS["REMOTE_ADDR"]) {
	$validato = 0;
}

$firma = urlencode(md5($adminuser . $adminpass));

if ($firma != $cookiefirma) {
	$validato = 0;
}

if (!$validato) {
	header("Location: bologin.php");
	die();
}


function Output($msg) {

	$Out = "<html>\n";
	$Out .= "<head>\n";
	$Out .= "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">\n";
	$Out .= "<base target=\"_self\">\n";
	$Out .= "<link rel=\"stylesheet\" href=\"backoffice.css\" type=\"text/css\">\n";
	$Out .= "</head>\n";
	$Out .= "<body topmargin=\"0\" leftmargin=\"4\" marginwidth=\"4\" marginheight=\"0\" class=\"pagina\">\n";
	$Out .= "<p class=\"sottotitolo\">Operazione annullata</p>\n";
	$Out .= $msg . "<p><a href=\"javascript:history.back();\" target=\"_self\">Indietro</a></p>\n";
	$Out .= "</body>\n";
	$Out .= "</html>\n";
	return $Out;
}

function MakeClean($Testo) {
	$Out = str_replace("\"","&quot;",$Testo);
	return $Out;
}

function MakeQuery($Testo) {
	$Out = addslashes($Testo);
	return $Out;
}

function MakeJavaArg($Testo) {
	$Out = addslashes($Testo);
	$Out = str_replace("\\\"","&quot;",$Out);
	return $Out;
}

function CheckCodice($ci, $cv) {
	$Out = trim($ci);
	$codici = explode("?",$cv);
	if (sizeof($codici) > 1) {
		$codice = trim(InterpretaCodice($codici[1]));
	} else {
		$codice = "";
	}
	if ($codice != "") {
		$Out = trim($codice);
	}
	return $Out;
}

function InterpretaCodice($testo) {
	$testo = str_replace("%5B","[", $testo);
	$testo = str_replace("%5D","]", $testo);
	$testo = str_replace("%7C","|", $testo);
	$testo = str_replace("%3F","?", $testo);
	$testo = str_replace("%23","#", $testo);
	$testo = str_replace("%3D","=", $testo);
	$testo = str_replace("%3C","<", $testo);
	$testo = str_replace("%3E",">", $testo);
	$testo = str_replace("%25","%", $testo);
	return ($testo);
}

function AumGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 1, 1);
}

function DimGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 1, -1);
}

function SetGiacenza($codice, $valore) {
	AggGiacenza($codice, $valore, 0, 1);
}

function AggGiacenza($codice, $valore, $segno1, $segno2) {
	$codice = trim($codice);
	if ($codice != "") {
		$giacenza = "";
		$sql = "SELECT * FROM giacenze WHERE codice = '".MakeQuery($codice)."'";
		$result = mysql_query($sql);
		$ok = mysql_num_rows($result);
		while ($row = mysql_fetch_array($result)) {
			$giacenza = $row["giacenza"];
		}
		if ($segno1 == 0) {
			$giacenza = "0";
		}
		if (is_numeric($giacenza) && $giacenza !="") {
			$giacenza = round(($giacenza * $segno1) + ($valore * $segno2),8);
			$sql = "INSERT INTO giacenze (codice, giacenza) VALUES ('".MakeQuery($codice)."','$giacenza')";
			if ($ok >0) {
				$sql = "UPDATE giacenze SET giacenza = '$giacenza' WHERE codice = '".MakeQuery($codice)."'";
			}
			$result = mysql_query($sql);
		}
	}
}

function SendHeaders() {
	global $p3pcompact;
	header("Cache-Control: private, no-cache, must-revalidate");
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); 
	header("Pragma: no-cache");
	if ($p3pcompact != "") {
		header("P3P: CP=\"$p3pcompact\"");
	}
}
?>